<?php
include_once('class/class.mysql.php');
include_once('evento/class.evento.php');
//$evento = new Evento();
include_once('feriado/class.feriado.php');
$feriado = new Feriado();
include_once('include/utilitarios.php');
$mysqlCom = $mysqlCom = new MysqlConnect();


if(empty($_GET['data'])){//navegaçao entre os meses
    $dia = date('d');
    $month =ltrim(date('m'),"0");
    $ano = date('Y');
}else{
    $data = explode('/',$_GET['data']);//nova data
    $dia = $data[0];
    $month = $data[1];
    $ano = $data[2];
}


if($month==1){//mês anterior se janeiro mudar valor
    $mes_ant = 12;
    $ano_ant = $ano - 1;
}else{
    $mes_ant = $month - 1;
    $ano_ant = $ano;
}


if($month==12){//proximo mês se dezembro tem que mudar
    $mes_prox = 1;
    $ano_prox = $ano + 1;
}else{
    $mes_prox = $month + 1;
    $ano_prox = $ano;
}

$n = '';

$hoje = date('j');//função importante pego o dia corrente

switch($month.$n){/*notem duas variaveis para o switch para identificar dia e limitar numero de dias*/
    case 1: $mes = "JANEIRO";
            $n = 31;
    break;
    case 2: $mes = "FEVEREIRO";// todo ano bixesto fev tem 29 dias
            $bi = $ano % 4;//anos multiplos de 4 são bixestos
            if($bi == 0){
                $n = 29;
            }else{
                $n = 28;
            }
    break;
    case 3: $mes = "MAR&Ccedil;O";
            $n = 31;
    break;
    case 4: $mes = "ABRIL";
            $n = 30;
    break;
    case 5: $mes = "MAIO";
            $n = 31;
    break;
    case 6: $mes = "JUNHO";
            $n = 30;
    break;
    case 7: $mes = "JULHO";
            $n = 31;
    break;
    case 8: $mes = "AGOSTO";
            $n = 31;
    break;
    case 9: $mes = "SETEMBRO";
            $n = 30;
    break;
    case 10: $mes = "OUTUBRO";
            $n = 31;
    break;
    case 11: $mes = "NOVEMBRO";
            $n = 30;
    break;
    case 12: $mes = "DEZEMBRO";
            $n = 31;
	break;

}



$pdianu = mktime(0,0,0,$month,1,$ano);//primeiros dias do mes
$dialet = date('D', $pdianu);//escolhe pelo dia da semana
switch($dialet){//verifica que dia cai
    case "Sun": $branco = 0; break;
    case "Mon": $branco = 1; break;
    case "Tue": $branco = 2; break;
    case "Wed": $branco = 3; break;
    case "Thu": $branco = 4; break;
    case "Fri": $branco = 5; break;
    case "Sat": $branco = 6; break;
}            

 $diaSemana = array('Domingo', 'Segunda', 'Terça', 'Quarta', 'Quinta', 'Sexta', 'Sábado');
 
class Calendario{
	public $pdianu;//primeiros dias do mes
	public $dialet;//escolhe pelo dia da semana
	public $evento;
	public $dtevento;
	public $data_dia;
	public $data_invirtida;
	
	
	public function __construct(){	
	 $this->evento = new Evento();
	}
	
	
	function ImagemDaSemana($dia, $mes, $ano){
		
	 $this->pdianu = mktime(0,0,0,$mes,$dia,$ano);//primeiros dias do mes
	 $this->dialet = date('D', $this->pdianu);//escolhe pelo dia da semana
		switch($this->dialet){//verifica que dia cai
			case "Sun": $imgDia = 'dom'; break;
			case "Mon": $imgDia = 'seg'; break;
			case "Tue": $imgDia = 'ter'; break;
			case "Wed": $imgDia = 'qua'; break;
			case "Thu": $imgDia = 'qui'; break;
			case "Fri": $imgDia = 'sex'; break;
			case "Sat": $imgDia = 'sab'; break;
		} 
		return $imgDia;
		//return '<img class="img_semana" src="'.$imgDia.'"/>';	
	}	
	
	

	function ListaNumDia_BtnNovoEvento($dia, $mes, $ano){
	$this->dtevento = $dia."-".$mes."-".$ano;
	$this->data_dia = $dia."/".$mes."/".$ano;
	$this->data_invirtida = $ano.'/'.$mes.'/'.$dia;
	 
		
		$this->evento->ListaEvento($this->data_invirtida); 
		$qtoEvento =  mysqli_num_rows($this->evento->qry); //$evento->QuantidadeEvento($ano.'/'.$month.'/'.$i);
		
		//Lista dia
		echo $qtoEvento > 0 ? '<a href="'.$this->data_invirtida.'" class="btnLista" title=" Listar Eventos">' .$dia .
							  ' <span style="font-size:10;">Evento '. $qtoEvento .'</span></a>' : $dia;
		//BtnNovo Evento
		echo "<a class='btnNovoEvento' data='$data_dia' href='?p=evento/novo_evento&d=$dia&m=$mes&a=$ano' title='Novo Evento'><div class='botao' ></div></a>";	
		
		
		}
		
	

		function ListaEventos($dia, $mes, $ano){
			$this->dtevento = $dia."-".$mes."-".$ano;
			$this->data_dia = $dia."/".$mes."/".$ano;
			$this->data_invirtida = $ano.'/'.$mes.'/'.$dia;
	 			
			$this->evento->ListaEvento($this->data_invirtida);
			while($row = mysqli_fetch_object($this->evento->qry)){
				$classEvento = 'alert alert-info';
					   switch ($row->abreviacao) {
						case "CA":
							$classEvento = 'alert alert-error';
							break;
						case "CR":
							$classEvento = 'alert alert-error';
							break;
						case "SP":
							$classEvento = 'alert alert-success';
							break;
						case "SF":
							$classEvento = 'alert alert-success';
							break;
						case "BP":
							$classEvento = 'alert alert-error';
							break;
						case "BS":
							$classEvento = 'alert alert-error';
							break;
						case "ES":
							$classEvento = 'alert alert-error';
							break;
						case "AN":
							$classEvento = 'alert alert-error';
							break;
					}
					$Cancelado =  $row->cancelado == 'S' ? 'evtCancelado' : '';
					$CanceladoTitulo  = $row->cancelado == 'S' ? 'Evento Cancelado' : '';
				
				
				 
				echo "<div class='$classEvento $Cancelado' align='left' >
				<a href='?p=evento/principal&id_evento=$row->id_evento' 
				title='$CanceladoTitulo  $row->tipo_evento - $row->nome - hs.: $row->hora'>";
							   echo $row->abreviacao;
							   echo '-';
							   echo substr($CanceladoTitulo . $row->nome,0,14);
							   echo "</a> </div>";
			}
		
		
		}
		
}


 
 
 
 
?>
<link rel="stylesheet" href="calendario/skeleton.css">
<div class="container">
		<div class="sixteen.columns">
                <div id="dvPrincipal">
                    <div class="three columns alpha divDia" style="padding:5px 1px 5px; text-align:center">
                        <button class="btnAnterior" id="btnAnterior" data="<?php echo $dia.'/'.$mes_ant.'/'.$ano_ant ?>">Anterior</button>
                    </div>
                    <div class="ten columns alpha divDia" style="padding:5px 1px 5px; text-align:center">
                        <?php echo $mes.' / '.$ano ?> - Hoje (<?php echo $diaSemana[date("w")] . ' ' . $dia.'/'.$month.'/'.$ano ?>) 
                     </div>
                    <div class="three columns omega divDia" style="padding:5px 1px 5px; text-align:center">
                        <button class="btnProximo" id="btnProximo" data="<?php echo $dia.'/'.$mes_prox.'/'.$ano_prox ?>" >Pr&oacute;ximo</button>
                    </div>
                    
                    <div class="two columns omega semana pnTitulo">Domingo</div>
                    <div class="two columns omega semana pnTitulo">Segunda</div>
                    <div class="two columns omega semana pnTitulo">Terça</div>
                    <div class="two columns omega semana pnTitulo">Quarta</div>
                    <div class="two columns omega semana pnTitulo">Quinta</div>
                    <div class="two columns omega semana pnTitulo">Sexta</div>
                    <div class="two columns omega semana pnTitulo">Sabado</div>


<?php
$calendario = new Calendario();
	
		$dt = 1;
		if($branco > 0){
        for($x = 0; $x < $branco; $x++){
             echo '<div class="two columns omega semana" style="border:solid 1px #ccc;  padding-left:5px;">&nbsp;</div>';/*preenche os espaços em branco*/
            $dt++;
        }
    }
	
	$aSemana= 1;
	for ($i = 1; $i <= $n; $i++) {
		if($dt > 7){ $aSemana++; $dt = 1; } $dt++;
		$hoje = $i == $dia ? 'hj' : '';
		
   	   echo '<div sm="sm'.$aSemana.'" class="two columns omega '.$hoje.' divDia pnDia d'.$i . ' '. $calendario->ImagemDaSemana($i,$month,$ano).' sm' . $aSemana.'">';
	    $calendario->ListaNumDia_BtnNovoEvento($i,$month,$ano);
	    $calendario->ListaEventos($i,$month,$ano);
	   	   
	   echo '</div>';
	   
 
  }

?>
				</div>
</div>

</div>

<div style="clear:both"></div>

<div class="alert alert-error" style="width:100px; font-size:10px; margin-right:3px; float:left;">Eventos</div>
<div class="alert alert-info" style="width:100px; font-size:10px; margin-right:3px; float:left;">Atendimento</div>
<div class="alert alert-success" style="width:100px; font-size:10px; margin-right:3px; float:left;">Salão</div>
<div class="alert" style="width:100px; font-size:10px; margin-right:3px; float:left;">Prévia</div>
<div class="ui-state-default" style="width:100px; font-size:10px; margin-right:3px; float:left;">Data Alterada</div>
<div class="ui-state-default alert" style="width:100px; font-size:10px; margin-right:3px; float:left;">Evento Cancelado</div>
<div style="clear:both"></div>


<span style="font-size:11;"><?php echo substr($descricaoFeriado,0,-2);?></span>
<script>//$('#dvPrincipal .sm1').css('height','120px');

$('.evt').css({borderLeft: '2px solid #1883b4'});
$('.dom').css({borderLeft: '2px solid #c50902'});
$('.hj').css({borderRight: '2px solid #24af12'}).css({borderLeft: '2px solid #24af12'});
//$('.hj').css({borderRight: '2px solid #24af12'});

var semana = $('.d<?php echo date('j')?>').attr('sm');
$('.'+semana).css('background-image', 'url(img/semana.png)');
$('<?php echo substr($diaFeriadoScript, 0 , -2);?>').css({borderRight: '2px solid #c50902'});

//para eventos cancelados
$('.evtCancelado').removeClass('alert alert-error alert-info alert-success ui-state-default evtCancelado').addClass('ui-state-default alert');


</script>		
